package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public  class TaskPeopleBean extends BaseMesPageBean {

        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * id : f58718d0e0054fcc96ca014bab4d7505
             * createDateTime : null
             * updateDateTime : null
             * woId : 570f78e7e1cb11ea8334fa163e1166bd
             * actId : 42ddf9651f3f4507a191605536648e44
             * actNum : RW00001
             * actDesc : null
             * userId : 4b25850f462511ea8334fa163e1166bd
             * craftId : 7d4fc1e5462511ea8334fa163e1166bd
             * skillId : 9fd6aadd5ec845de959e3844672ac715
             * laborHrs : null
             * lineCost : null
             * payRate : null
             * quantity : null
             * vendorCode : null
             * contractCode : null
             * teamId : null
             * siteId : null
             * siteCode : null
             * remark : null
             * createBy : null
             * changeBy : null
             * userCode : 20001
             * userName : 仓库管理员
             * craftCode : GZ00005
             * craftName : 仓库管理员
             * skillCode : JN00001
             * skillName : 仓库管理
             * delete : false
             */

            private String id;
            private Object createDateTime;
            private Object updateDateTime;
            private String woId;
            private String actId;
            private String actNum;
            private Object actDesc;
            private String userId;
            private String craftId;
            private String skillId;
            private Object laborHrs;
            private Object lineCost;
            private Object payRate;
            private Object quantity;
            private Object vendorCode;
            private Object contractCode;
            private Object teamId;
            private Object siteId;
            private Object siteCode;
            private Object remark;
            private Object createBy;
            private Object changeBy;
            private String userCode;
            private String userName;
            private String craftCode;
            private String craftName;
            private String skillCode;
            private String skillName;
            private boolean delete;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getWoId() {
                return woId;
            }

            public void setWoId(String woId) {
                this.woId = woId;
            }

            public String getActId() {
                return actId;
            }

            public void setActId(String actId) {
                this.actId = actId;
            }

            public String getActNum() {
                return actNum;
            }

            public void setActNum(String actNum) {
                this.actNum = actNum;
            }

            public Object getActDesc() {
                return actDesc;
            }

            public void setActDesc(Object actDesc) {
                this.actDesc = actDesc;
            }

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }

            public String getCraftId() {
                return craftId;
            }

            public void setCraftId(String craftId) {
                this.craftId = craftId;
            }

            public String getSkillId() {
                return skillId;
            }

            public void setSkillId(String skillId) {
                this.skillId = skillId;
            }

            public Object getLaborHrs() {
                return laborHrs;
            }

            public void setLaborHrs(Object laborHrs) {
                this.laborHrs = laborHrs;
            }

            public Object getLineCost() {
                return lineCost;
            }

            public void setLineCost(Object lineCost) {
                this.lineCost = lineCost;
            }

            public Object getPayRate() {
                return payRate;
            }

            public void setPayRate(Object payRate) {
                this.payRate = payRate;
            }

            public Object getQuantity() {
                return quantity;
            }

            public void setQuantity(Object quantity) {
                this.quantity = quantity;
            }

            public Object getVendorCode() {
                return vendorCode;
            }

            public void setVendorCode(Object vendorCode) {
                this.vendorCode = vendorCode;
            }

            public Object getContractCode() {
                return contractCode;
            }

            public void setContractCode(Object contractCode) {
                this.contractCode = contractCode;
            }

            public Object getTeamId() {
                return teamId;
            }

            public void setTeamId(Object teamId) {
                this.teamId = teamId;
            }

            public Object getSiteId() {
                return siteId;
            }

            public void setSiteId(Object siteId) {
                this.siteId = siteId;
            }

            public Object getSiteCode() {
                return siteCode;
            }

            public void setSiteCode(Object siteCode) {
                this.siteCode = siteCode;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }

            public Object getCreateBy() {
                return createBy;
            }

            public void setCreateBy(Object createBy) {
                this.createBy = createBy;
            }

            public Object getChangeBy() {
                return changeBy;
            }

            public void setChangeBy(Object changeBy) {
                this.changeBy = changeBy;
            }

            public String getUserCode() {
                return userCode;
            }

            public void setUserCode(String userCode) {
                this.userCode = userCode;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getCraftCode() {
                return craftCode;
            }

            public void setCraftCode(String craftCode) {
                this.craftCode = craftCode;
            }

            public String getCraftName() {
                return craftName;
            }

            public void setCraftName(String craftName) {
                this.craftName = craftName;
            }

            public String getSkillCode() {
                return skillCode;
            }

            public void setSkillCode(String skillCode) {
                this.skillCode = skillCode;
            }

            public String getSkillName() {
                return skillName;
            }

            public void setSkillName(String skillName) {
                this.skillName = skillName;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }
        }
}
